Subject: Re: [PATCH net-next] ntp: fix size argument for kcalloc

From: Jakub Kicinski <[email-masked]>
Date: Thu, 4 Jul 2024 07:21:55 -0700

On Thu, 4 Jul 2024 12:17:39 +0200 Przemek Kitszel wrote:
> >> This patch is IMHO more a cleanup than a real fix. As such it's more
> >> suited for net-next. For the same reason I think it should not go to
> >> stable, so I'm dropping the fixes tag, too.  
> 
> I'm fine with targeting it at any of the trees.
> 
> But I still believe it is a fix, even if a trivial one, and even if code
> "works" - it's a "wrong" code.
> 
> Here I received similar feedback in a similar case:
> https://www.mail-archive.com/[email-masked]/msg03252.html
> and I changed my mind then.

Comments, docs, and the MAINTAINERS file are special.
This is actually changing the code, and at present results in the same
binary getting generated.